import java.util.Scanner;

public class Pub {

	public static void main(String[] args) 
	{
		Scanner s = new Scanner (System.in);
		
		int N = s.nextInt();
		int L = s.nextInt();
		int [] H = new int[N];
		
		for (int i = 0; i < N; i++ ) 
		{
			H[i] = s.nextInt();
		}
		
		s.close();
			
		int result = -1;
		for (int i = 0; i < N; i++) 
		{
			if (L >= H[i]) 
			{
				result = i + 1;
				break;
			}
		}
		System.out.println(result);
	}
}